Bug 1412833 - [GSS](6.4.z) optional module dependencies can cause continual redeployment
Summary: [GSS](6.4.z) optional module dependencies can cause continual redeployment
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server
Version: 6.4.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.14
Assignee: Peter Palaga
QA Contact: Peter Mackay
eap-docs
URL:
Whiteboard:
Depends On: 1412035
Blocks: 1406567 eap6414-payload
TreeView+ depends on / blocked
 
Reported: 2017-01-12 22:50 UTC by Brad Maxwell
Modified: 2017-03-23 08:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 08:21:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-8298 0 Major Verified [GSS](7.1.0) WFCORE-2192 - optional module dependencies can cause continual redeployment 2017-06-13 08:43:36 UTC
Red Hat Issue Tracker JBEAP-8299 0 Major Verified [GSS](7.0.z) WFCORE-2192 - optional module dependencies can cause continual redeployment 2017-06-13 08:43:36 UTC
Red Hat Issue Tracker WFCORE-2192 0 Major Resolved optional module dependencies can cause continual redeployment 2017-06-13 08:43:36 UTC
Red Hat Knowledge Base (Solution) 2876361 0 None None None 2017-02-24 08:13:38 UTC

Description Brad Maxwell 2017-01-12 22:50:30 UTC
optional module dependencies can cause continual redeployment
jboss-deployment-structure.xml dependencies on other deployments with optional=true can cause continual redeployment

Comment 1 Peter Palaga 2017-01-18 20:45:18 UTC
Adding the dependency on the MSC component upgrade to 1.1.7.SP1 as per https://github.com/wildfly/wildfly-core/pull/2095#issuecomment-273594042

Comment 2 Peter Palaga 2017-01-24 10:38:52 UTC
PR sent https://github.com/jbossas/jboss-eap/pull/2920

Comment 4 Peter Mackay 2017-03-02 09:16:24 UTC
Verified with EAP 6.4.14.CP.CR1

Comment 5 Petr Penicka 2017-03-23 08:21:51 UTC
Released with EAP 6.4.14 on March 14 (ZIPs) and March 22 (RPMs).


Note You need to log in before you can comment on or make changes to this bug.